#pragma once

#include <iostream>
#include <string>
#include <fstream>
#include <vector>
#include <iomanip>
#include "Exception.h"
#include "File.h"


struct Record
{
	int ticketNum;
	char surname[15];
	char issueDate[12];
	int dayCnt;
	char author[15];
	char bookName[20];
	int distrYear;
	char distributer[20];
	float price;

	Record() = default;
	Record(const Record&);
	Record& operator=(const Record&);


	friend std::istream& operator>>(std::istream&, Record&);
	friend std::ostream& operator<<(std::ostream&, const Record&);
};


void workWithLibrary();

void showLibraryMenu();

void printPartitionLine();

void printHead();

bool emptyFile(const std::string& filename);